
function Skinner:FactionGrinder()

-->>--	FactionGrinderSettingsFrame
	self:removeRegions(FactionGrinderSettingsFrame, {1})    
	FG_SettingsFrameHeaderBox:Hide()
	self:moveObject(FG_CloseSettings, "+", 6, "+", 6)            
	self:moveObject(FG_SettingsFrameHeader, nil, nil, "-", 6)
	self:moveObject(FG_ArgentDawnLabel, "-", 6, nil, nil)
	self:moveObject(FG_ArgentDawnCauldronsLabel, "-", 6, nil, nil)
	self:moveObject(FG_CenarionCircleLabel, "-", 6, nil, nil)
	self:moveObject(FG_CenarionCircleSummonsLabel, "-", 6, nil, nil)
	self:moveObject(FG_TimbermawHoldLabel, "-", 6, nil, nil)
	self:moveObject(FG_WintersaberTrainersLabel, "-", 6, nil, nil)
	self:applySkin(FactionGrinderSettingsFrame)    

	self:removeRegions(FactionGrinderGeneralSettingsFrame, {1})    
	self:applySkin(FactionGrinderGeneralSettingsFrame)    
	
-->>--	ArgentDawnGrinderDisplayFrame
	self:keepRegions(ADG_SB_RepWithItems, {})
	self:keepRegions(ADG_SB_ActualRep, {})
	self:keepRegions(ADGToRepUpFrame, {1})
	self:applySkin(ADGToRepUpFrame)
	self:glazeStatusBar(ADG_SB_ActualRep, 0)
	self:glazeStatusBar(ADG_SB_RepWithItems, 0)
	self:applySkin(ArgentDawnGrinderDisplayFrame)

-->>--	ArgentDawnGrinderCauldronFrame
	self:keepRegions(ArgentDawnGrinderCauldronFrame, {10,11,12,13,14,15,16})
	self:applySkin(ArgentDawnGrinderCauldronFrame)

-->>--	ArgentDawnGrinderGrindFrame
	self:removeRegions(ArgentDawnGrinderGrindFrame, {1,2,3,4,5,6,7,8,9,30})
	self:applySkin(ArgentDawnGrinderGrindFrame)

-->>--	CenarionCircleGrinderDisplayFrame
	self:keepRegions(CCG_SB_RepWithItems, {})
	self:keepRegions(CCG_SB_ActualRep, {})
	self:keepRegions(CCGToRepUpFrame, {1})
	self:applySkin(CCGToRepUpFrame)
	self:glazeStatusBar(CCG_SB_ActualRep, 0)
	self:glazeStatusBar(CCG_SB_RepWithItems, 0)
	self:applySkin(CenarionCircleGrinderDisplayFrame)

-->>--	CenarionCircleGrinderSummonsFrame
	self:keepRegions(CenarionCircleGrinderSummonsFrame, {10,11,12,13,14,15,16})
	self:applySkin(CenarionCircleGrinderSummonsFrame)

-->>--	CenarionCircleGrinderGrindFrame
	self:removeRegions(CenarionCircleGrinderGrindFrame, {1,2,3,4,5,6,7,8,9,30})
	self:applySkin(CenarionCircleGrinderGrindFrame)

-->>--	TimbermawHoldGrinderDisplayFrame
	self:keepRegions(THG_SB_RepWithItems, {})
	self:keepRegions(THG_SB_ActualRep, {})
	self:keepRegions(THGToRepUpFrame, {1})
	self:applySkin(THGToRepUpFrame)
	self:glazeStatusBar(THG_SB_ActualRep, 0)
	self:glazeStatusBar(THG_SB_RepWithItems, 0)
	self:applySkin(TimbermawHoldGrinderDisplayFrame)

-->>--	TimbermawHoldGrinderGrindFrame
	self:removeRegions(TimbermawHoldGrinderGrindFrame, {1,2,3,4,5,6,7,8,9,30})
	self:applySkin(TimbermawHoldGrinderGrindFrame)
	
-->>--	WintersaberTrainersGrinderDisplayFrame
	self:keepRegions(WTG_SB_RepWithItems, {})
	self:keepRegions(WTG_SB_ActualRep, {})
	self:keepRegions(WTGToRepUpFrame, {1})
	self:applySkin(WTGToRepUpFrame)
	self:glazeStatusBar(WTG_SB_ActualRep, 0)
	self:glazeStatusBar(WTG_SB_RepWithItems, 0)
	WintersaberTrainersGrinderDisplayFrame:SetWidth(WintersaberTrainersGrinderDisplayFrame:GetWidth() + 20)
	self:applySkin(WintersaberTrainersGrinderDisplayFrame)

-->>--	WintersaberTrainersGrinderGrindFrame
	self:removeRegions(WintersaberTrainersGrinderGrindFrame, {1,2,3,4,5,6,7,8,9,30})
	self:applySkin(WintersaberTrainersGrinderGrindFrame)



end
